Skip to main content
`Ctrl`+`K`

# SVDKSVDSetPolarMethod

Sets the method to compute the polar decomposition within the KSVD solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDKSVDSetPolarMethod(SVD svd,SVDKSVDPolarMethod polar)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- polar - method that will be used by KSVD for the polar decomposition

## Options Database Key

- -svd_ksvd_polar_method <polar> - sets the method for the KSVD polar decomposition

If not set, the method defaults to `SVD_KSVD_POLAR_QDWH`.

## See Also

SVD: Singular Value Decomposition, `SVDKSVD`, `SVDKSVDGetPolarMethod()`, `SVDKSVDPolarMethod`

## Level

advanced

## Location

src/svd/impls/external/ksvd/svdksvd.c

## Implementations

SVDKSVDSetPolarMethod_KSVD() in src/svd/impls/external/ksvd/svdksvd.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages